%global shortname winstone

Name:           jenkins-winstone
Version:        2.8
Release:        5%{?dist}
Summary:        Jenkins Winstone servlet container

License:        LGPLv2+ or CDDL
URL:            https://github.com/jenkinsci/winstone
Source0:        https://github.com/jenkinsci/%{shortname}/archive/%{shortname}-%{version}.tar.gz

# remove AJP support
Patch0:         0001-Remove-AJP-support.patch
# make it work with Java 8
Patch1:         0002-Fix-Java-8-compatibility.patch
# port to Jetty 9
#Patch1:         0001-Port-to-Jetty-9.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.eclipse.jetty:jetty-servlet:8.1.14.v20131031)
BuildRequires:  mvn(org.eclipse.jetty:jetty-webapp:8.1.14.v20131031)

%description
Winstone is a servlet container that was written out of a desire to
provide servlet functionality without the bloat that full J2EE
compliance introduces.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{shortname}-%{shortname}-%{version}

%patch0 -p1
%patch1 -p1
rm src/java/winstone/Ajp13ConnectorFactory.java

%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :maven-shade-plugin

%pom_change_dep org.eclipse.jetty: ::8.1.14.v20131031

%pom_remove_dep :jetty-ajp
%pom_remove_dep :spdy-jetty-http

# utf8 ftw
for file in LICENSE-CDDL.txt LICENSE-LGPL.txt; do
    iconv --from-code=ISO-8859-1 --to-code=UTF-8 ${file} > ${file}.utf8
    mv ${file}.utf8 ${file}
done

%build
# missing test dep org.kohsuke:ajp-client
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-CDDL.txt LICENSE-LGPL.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE-CDDL.txt LICENSE-LGPL.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Michal Srb <msrb@redhat.com> - 2.8-4
- Build against jetty8

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 23 2015 Michal Srb <msrb@redhat.com> - 2.8-2
- Port to Jetty 9

* Mon Oct 27 2014 Michal Srb <msrb@redhat.com> - 2.8-1
- Update to upstream version 2.8

* Tue Sep 02 2014 Michal Srb <msrb@redhat.com> - 2.3-1
- Initial packaging

